Ir al contenido

Grok Imagine Image · Edit

Integrar

ID del modelo xai/grok-imagine-image/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esta solicitud: 0,022 $ 22 créditos de API · ≈ 2,37 ₽ Ejecutar en esta página

Obtener clave de API
xAI Edición de imágenes hasta 2k #grok#xai#image-editing

Edición de imágenes de Grok a partir de hasta 3 imágenes de entrada, con una relación de aspecto que usa la de la primera imagen de forma predeterminada

Creado en Doitong

Trabajos públicos creados con Grok Imagine Image por la comunidad de Doitong. Reutiliza un prompt con un solo clic.

Trabajos públicos mostrados: 16
Brand guidelines: Visual style: Cinematic Realistic: photorealistic live-action, shallow depth of...

Brand guidelines: Visual style: Cinematic Realistic: photorealistic live-action, shallow depth of field, dramatic lighting, film grain. Reference images context (match the visual style and elements from these): - reference photo (style_reference): use as visual reference for setting, objects, and...

Art style: Cinematic Realistic. Full-length view, the entire figure visible from head to feet, st...

Art style: Cinematic Realistic. Full-length view, the entire figure visible from head to feet, standing upright, a 24-year-old man centered in frame. He is a fictional everyman: slim, slightly under-built frame with noticeably slouched, rounded shoulders and a caved-in posture that reads as...

Art style: мультяшный. An extreme wide high-angle composition looking down at the sunlit yellow k...

Art style: мультяшный. An extreme wide high-angle composition looking down at the sunlit yellow kitchen table. Lily peers over the edge into her open turquoise lunchbox where Broc and Apple Slice sit side-by-side holding miniature bright red paper hearts aloft. Lily's expression transforms into...

Art style: Clay / Plasticine. ПОЖИЛАЯ АНЯ. Clay plasticine figure of an elderly woman with dark h...

Art style: Clay / Plasticine. ПОЖИЛАЯ АНЯ. Clay plasticine figure of an elderly woman with dark hair streaked with sculpted silver strands in a low bun. Her face is kind and lined, with visible clay texture. She wears a mustard-yellow knitted scarf over a dark-green cardigan. Silhouette tag:...

Art style: Clay / Plasticine. ЭЛЛИПСИС, другая локация. Гостиная с серыми незакрашенными стенами ...

Art style: Clay / Plasticine. ЭЛЛИПСИС, другая локация. Гостиная с серыми незакрашенными стенами освещена окном и голой лампой. Миша в тёмно-синей толстовке и Аня в горчичном свитере стоят у стены, у каждого кисть в правой руке. На полу ровно два ведра коралловой краски.. изменить одежду на...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 2: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 2: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 3: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 3: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 1: one page divided into a clean 3x3 gri...

A traditional hand-drawn FILM STORYBOARD SHEET for scene 1: one page divided into a clean 3x3 grid of NINE separate rectangular panels, three rows of three, each panel a 9:16 rectangle with a thin ruled black border and a small hand-written panel number in its top-left corner from 1 to 9. Thin...

Crear una solicitud

Los controles se generan a partir del esquema del modelo. El código y el precio se actualizan al modificarlos.

•obligatorio 88 / 8000

Descripción textual de la imagen que se va a crear.

resolution predeterminado 1k

Selección de resolución de imagen entre estándar (`1k`) y alta (`2k`).

predeterminado auto

Configuración de la relación de aspecto de salida para la edición de imágenes; `auto` utiliza las proporciones de la primera entrada. Esta configuración automática es la predeterminada.

num_images predeterminado 1

Número de imágenes que se producirán.

Avanzado images · output_format · enable_safety_checker
image_urls
Suelta un archivo o

URL de imágenes para editar, proporcionadas como una lista de un máximo de 3 imágenes.

output_format predeterminado jpeg

Formato de archivo de la imagen resultante.

POST /run/xai/grok-imagine-image/edit?wait=20 presupuesto → 0,022 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ejecutar esta solicitud

Tu clave permanece en este navegador: solo se envía a la Doitong API y solo se guarda en localStorage si marcas Recordar. Obtener una clave de API

Acerca de Grok Imagine Image · Edit

Edita imágenes descritas por un prompt de hasta 8000 caracteres, usando hasta 3 URL en `image_urls`. `aspect_ratio` usa auto de forma predeterminada, lo que conserva la relación de la primera imagen de entrada, o se puede establecer explícitamente. La resolución es 1k o 2k, con hasta 4 salidas en jpeg, png o webp. Se devuelve un prompt revisado.

Parámetros

Envía el nombre canónico o el nombre nativo, pero no ambos. Nombres canónicos

NombreTipo PredeterminadoPermitido Descripción
promptobligatorio
Tipostring
≤ 8000 caracteres
Descripción textual de la imagen que se va a crear.
num_imagesopcional num_outputs
Tipointeger
Predeterminado1
1 – 4
Número de imágenes que se producirán.
aspect_ratioopcional
Tipoenum
Predeterminadoauto
auto2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
Configuración de la relación de aspecto de salida para la edición de imágenes; `auto` utiliza las proporciones de la primera entrada. Esta configuración automática es la predeterminada.
resolutionopcional
Tipoenum
Predeterminado1k
1k2k
Selección de resolución de imagen entre estándar (`1k`) y alta (`2k`).
output_formatopcional
Tipoenum
Predeterminadojpeg
jpegpngwebp
Formato de archivo de la imagen resultante.
enable_safety_checkeropcional
Tipoboolean
Predeterminadotrue
La moderación puede relajarse estableciendo false, siempre que la persona que realiza la solicitud esté autorizada.
image_urlsopcional images
Tipourl[] · image
URL de imágenes para editar, proporcionadas como una lista de un máximo de 3 imágenes.
obligatorio Nombre canónico, también aceptado

Los parámetros de archivo aceptan una URL pública https://, un URI data: de hasta 10 MB o el file_url de una subida. Archivos

Salida

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tus archivos, tú eligesCada outputs[].url es una copia en nuestro almacenamiento: conservada para siempre (con pago por GB-mes) o 7 días gratis, según la configuración de tu cuenta o ?storage=.
La misma estructura en todos los modelostype, url, content_type, width, height y duration, tanto para imágenes como para vídeo y audio. output es el objeto de resultado propio del modelo.
Campos de salida
images
array of object {url, content_type, file_name, file_size, width, height}URL que apunta a la imagen editada.
revised_prompt
string | nullPrompt mejorado utilizado para la generación de imágenes.

Más modelos: Edición de imágenes

Para agentes de IA: esta página en Markdown está en https://doitong.com/es-ES/developers/models/xai/grok-imagine-image/edit.md. Todos los modelos y guías: https://doitong.com/developers/llms.txt